Library Version 11.2.5.2

DbEnv::mutex_get_max()
Prev | Chapter 10. Mutex Methods | Next

## DbEnv::mutex_get_max()

    #include <db_cxx.h>

    int
    DbEnv::mutex_get_max(u_int32_t *maxp);

The `DbEnv::mutex_get_max()` method returns the total number of mutexes allocated.

The `DbEnv::mutex_get_max()` method may be called at any time during the life of the application.

The `DbEnv::mutex_get_max()` method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

#### maxp

The `DbEnv::mutex_get_max()` method returns the total number of mutexes allocated in maxp.

### Class

DbEnv

### See Also

Mutex Methods

Prev | Up | Next
DbEnv::mutex_get_init() | Home | DbEnv::mutex_get_tas_spins()